<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class City extends Model
{
    use HasFactory;

    protected $table = 'cities';

    protected $fillable = [
        'name',
    ];


     // العلاقة مع المناطق
     public function regions()
     {
         return $this->hasMany(Region::class);
     }

     // العلاقة مع العملاء
     public function clients()
     {
         return $this->hasMany(Client::class);
     }
}
